ReGet Deluxe Help

Enjoy fast downloads with ReGet Deluxe!

Enjoy the speed of the last word in downloading -- ReGet Deluxe! Wherever you have a dial-up (modem) connection to the Internet, or super-fast cable or ADSL, ReGet Deluxe will fully utilize the bandwidth of your connection and download files in a blast! With many features aimed at improving download experience and dramatically increasing download speed, ReGet Deluxe is the tool to use for power Internet users and heavy downloaders.

Obtaining Help

If you have any problems with ReGet Deluxe please read Frequently Asked Questions, How to use and Activation code Troubleshooting to see if there is no answer to your question.
If you have not found an answer to your question in these documents, describe your problem to our support team. Please make sure to include the following:

  • URL to file which you were trying to download.
  • Which OS are you running?
  • The copy of log for this download (can be copied via clipboard).
  • ReGet version and build numbers (can be found in Help-->About)
  • Detailed error description.

You can also get help from (or share your knowledge with) another ReGet users in ReGet Newsgroup.

You can find detailed descriptions of ReGet Deluxe properties and options if press F1 in the property tree.


ReGet Deluxe Features

Ease of Use
  • Unmatched: No-quiz installation: Select your connection type and ReGet Deluxe will automatically tune download settings to use your Internet connection to full extent.
  • No-wizz installation: ReGet Deluxe can automatically detect and use your browser proxy-server settings.
  • One-click downloading: ReGet Deluxe works as the default download tool for all the popular browsers, such as Microsoft Internet Explorer 4.0 and higher, Netscape Communicator 4.0 and higher, Opera 4.0 and higher, NetCaptor 6.1, NeoPlanet 5.2, MSN Explorer 6.0.
  • Unmatched: Now with Microsoft Internet Explorer 6 and Netscape Navigator 6 supported.
  • Original: Quick download of multiple files linked from the same page with the original "Download All by ReGet Deluxe" browser context menu command*.
  • Unmatched: Complete control: We've even made toolbar in ReGet Deluxe fully customizable. Set it to suite your needs!
Core Features
  • ReGet Deluxe supports file download (retrieval) from both file transfer (FTP) and web (HTTP) servers.
  • Reliable downloads: ReGet Deluxe will make unlimited amount of attempts to download the file, until download is completed.
  • No time is wasted: ReGet Deluxe resumes broken downloads from where they left off from both HTTP and FTP servers. It saves your time as you wouldn't have to download again what you already have on your hard-drive!
  • Unmatched: ReGet Deluxe can download from secure servers (HTTPS) with special add-on available from the download page.
  • Unmatched: ReGet Deluxe can download from online file storages (like MySpace.com, iDrive.com, etc).
  • Local network support: ReGet Deluxe supports all popular proxy servers so you may use it in a corporate network.
  • Unmatched: ReGet Deluxe supports not only basic proxy authentication, but also NT challenge/response (NTLM).
  • Corporate network support: ReGet Deluxe can also download from the remote network shares, which is crucial for multi-national companies' Wide Networks.
Fastest Downloads, Better Download Experience
  • Unmatched: 5-40 times speed improvement: with ReGet Deluxe feature to split the files being downloaded in sections and download all the sections at the same time. That is from 500% up to 4000% improvement!
  • Original: Easy browsing while downloading: ReGet Deluxe can detect browser activity and automatically lower its traffic usage if the browser transfers data*, giving you ability to browse the Internet without interrupting your downloads.
  • Original: Built-in MSIE Spy - the program for monitoring browser activity. Watch the real URLs of all the files downloaded by the browser, otherwise invisible to user, such as graphics, scripts, banners, buttons included CSS and Javascript files, etc*.
  • Heaven for modem users: ReGet Deluxe has built-in dial-up integration. You don't have to run a lot of programs to download just one file. ReGet Deluxe can dial up to your ISP, download files and hang up when download is finished.
  • No slowdown: if one particular download slows down, ReGet Deluxe can reconnect to a server, giving a jump-start to your download.
Advanced Features
  • Unmatched: Advanced browser integration system allows ReGet Deluxe intercept and process all types of links, including forms and redirection scripts.
  • Unmatched: ReGet Deluxe provides extensive logging of every download attempt and every program action, wherever it was successful or failed.
  • Original: With the Site Manager you can set downloading properties (such as login and password, maximum allowed connections, etc.) for any server you will be downloading from.
  • Unmatched: Built-in Advanced Scheduler lets you schedule such an events as: start and pause downloads, start and close program, dial and hang up. You can set any ReGet Deluxe event to happen at any time you want, regularly or depending on another event.
  • Unmatched: Total recall: Advanced History will give you information about all files you have ever downloaded. You'll never forget when, what and where from you have downloaded a file and where it is located.
  • Unmatched: You can now edit properties for a number of selected downloads in one go.
  • Unmatched: Use macros to automatically create folders named accordingly to the extensions of downloaded files, date of downloading or name of the destination server.
* For Microsoft Internet Explorer and browsers based on it only.


How to use ReGet Deluxe

How to Add a Download to ReGet Deluxe Queue

There are several ways you can add a download, and you can use any of them.
If you use Microsoft Internet Explorer, MSN Explorer, NetCaptor or NeoPlanet:
  • Just click on the download link/button and a ReGet Deluxe dialog will appear instead of standard Save As... dialog.
  • Choose "Download using ReGet Deluxe" in context menu (right-click on the link to invoke it).
If you use Netscape Navigator or Opera:
  • Click on a link holding down the ALT key.
Also there are a few ways apart from the browser:
  • Drag the link from your favorite browser and drop it to ReGet Deluxe floating transparent window.
  • Or, you can use Copy Shortcut in your browser and then manually add it to the queue by pressing Ctrl+V or by clicking the Plus button
  • Also, you can use Copy Shortcut in your browser, then right-click the ReGet Deluxe icon in the System Tray and select Paste from the menu.
  • Finally, you may type-in the necessary URL manually after clicking the Plus button
After you click a link or click the Plus button the Properties dialog appears where you can edit properties of your download. If you want to save the file with another name type this name in the Save As… field. If the server you download from requires a login and password type them in the appropriate fields. Press OK when done editing.

That's it! Download is added!


Frequently Asked Questions

Content:

  1. Distribution and packaging:
    1. May I (or my company) distribute ReGet Deluxe?
    2. Where may I find the user license?
  2. General issues:
    1. I am a web-master, how can I place a link to your site?
    2. What does it take to qualify as beta-tester?
    3. I found a bug in ReGet Deluxe. What should I do?
    4. How can I get the log of download?
  3. Connectivity issues:
    1. How does resume in FTP work?
    2. How does resume in HTTP work?
    3. What is the PASV mode (passive mode)?
    4. How does "Smart Rollback" work and what is it all about?
    5. Can ReGet Deluxe download from online files storages (like idrive.com, myspace.com, etc.)?
    6. How can I download a file from HTTPS server?
  4. Proxy-servers and firewalls:
    1. Why isn't the file size displayed when downloading files from FTP via Microsoft Proxy Server?
    2. I download from FTP-server with broken downloads resume-support via proxy-server, but ReGet Deluxe always starts downloading from the beginning. Why?
    3. How to find proxy settings?
    4. Can ReGet Deluxe work with SOCKS proxy?
    5. I use Wingate or Firewall programs, what should I configure to download with ReGet Deluxe?
  5. Using ReGet Deluxe issues:
    1. What operating should I use for ReGet Deluxe to work properly?
    2. How do I specify a username and password for my download?
    3. There is no "Download using ReGet Deluxe" option in context menu of my browser. What's wrong?
    4. How do I disable ReGet Deluxe for a particular link or site?
    5. How does Integration in Opera work?
    6. What does Error [5] LocalFileWrite mean?
    7. When I try to run ReGet Deluxe nothing happens - why?
  6. Downloading problems:
    1. Why can't I download Windows Update with ReGet Deluxe?
    2. I can't retrieve files from an FTP-server, what should I do?
    3. I am using Napster and ReGet Deluxe cannot download from it.
    4. When I try to download mp3 file from MP3.com or another server, it automatically opens with my music player (WinAmp, etc) and not being downloaded with ReGet Deluxe.
    5. Why can't I download group of files by mask from FTP-servers sometimes?
    6. Why can't ReGet Deluxe sometimes retrieve files from Web-servers, and my browser can?
  7. Security issues:
    1. What information does ReGet Deluxe send about me and my system?
    2. I've heard rumors about privacy concerns with ad-sponsored software. What can you tell me about that?
    3. Can ReGet Deluxe scan files for viruses?
  8. Useful Tips:
    1. How to get quick access to dialup properties?
    2. How to switch the splash screen off?

  1. Distribution and packaging:

  1. Question:
    May I (or my company) distribute ReGet Deluxe?
    Answer:
    The short answer is "NO". The long answer is that you need our written permission to redistribute ReGet Deluxe (this includes, but not limited to publishing on www-server, ftp-server) for free or charging a fee. Please contact pr@reget.com for details.
    We recommend you to link:
    http://www.reget.com/redir/redir.asp?lang=default&product=dx&link=free
    The reason we ask you not to link the .exe file is that we want to make sure that when users download ReGet Deluxe, they download the newest version, and unless you subscribe to our newsletter, we won't be able to update you when the new version is released.
    If you made a review of ReGet Deluxe and published it somewhere, please let us know.

    Back to the Content

  2. Question:
    Where may I find the user license?
    Answer:
    You can find it in the ReGet Deluxe directory under the name "license.rtf".

    Back to the Content

  • General issues:

    1. Question:
      I am a web-master, how can I place a link to your site?
      Answer:
      Download ReGet now! If you want to make lives of your users easier or just link ReGet Deluxe from your page, please place ReGet button (shown on the left) on your pages. The HTML-code for it is shown below. Other buttons and banners with their HTML-codes you can find on our partners graphics page. If you made a review of ReGet Deluxe and published it somewhere, please let us know.

      <A HREF="http://www.reget.com"><IMG

SRC="http://www.reget.com/images/regetnow.gif"

WIDTH="88" HEIGHT="31" BORDER="0" VSPACE="7"

ALT="Download ReGet now!"></A>

      Back to the Content

    2. Question:
      What does it take to qualify as beta-tester?
      Answer:
      We have stopped wide beta-testing program. If you want to discuss bugs you've found or features you want to have in ReGet Deluxe you are welcome to our newsgroup.

      Back to the Content

    3. Question:
      I found a bug in ReGet Deluxe. What should I do?
      Answer:
      Please e-mail to our support team at support@reget.com if you encountered an error. In your mail please specify:
      • URL to file which you were trying to download.
      • Which OS are you running?
      • The copy of log for this download (can be copied via clipboard).
      • ReGet Deluxe version and build numbers (can be found in Help About)
      • And error description.

      Back to the Content

    4. Question:
      How can I get the log of download?
      Answer:
      To get the log do the following:
      1. Click with the right mouse button on a download (in download list area)
      2. Choose "View log" from the dropped down menu
      3. Copy all strings from log (use "Edit-->Copy All")
      4. Paste it to the mail and send to support@reget.com.

      Back to the Content

  • Connectivity issues:

    1. Question:
      How does resume in FTP work?
      Answer:
      Most FTP-servers support "REST nnn" command. When client passes this command to server, server sends file from the specified position. Most known server with no broken downloads resume is Microsoft IIS. To be correct, it supports "REST nnn" but requires nnn to be equal 0.

      Back to the Content

    2. Question:
      How does resume in HTTP work?
      Answer:
      The special field ("Range: bytes nnn-") have to be supplied in the file request form. If WWW-server supports resume, it returns code 206 and specified part of the file. If it doesn't, it returns the whole file (as in regular request).

      Back to the Content

    3. Question:
      What is the PASV mode (passive mode)?
      Answer:
      Usually, when retrieving files over FTP, two connections are used: for commands and for data. Command-connection is set by client, data-connection is set by server. In some cases (when using firewall for instance) both connections have to be set by client. In such a cases server goes to passive mode when "PASV" command is sent from client.

      Back to the Content

    4. Question:
      How does "Smart Rollback" work and what is it all about?
      Answer:
      Smart Rollback can be used only while downloading via proxy-server. When you are using proxy-server two connections are being created:
      (1) (2)
      Client <-> proxy-server <-> WWW/FTP-server
      If first connection breaks no additional processing from ReGet is required.
      However, when second connection breaks, proxy-server usually passes error message, adding it to the end of downloaded file. So, if you continue download, you will have this error message within the downloaded file. There are two possible solutions:

      1. When either (first or second) connection breaks we cut off last 2Kb of downloaded file (so does GetRight). The disadvantage is that it was a first connection which broke (so, no extra-stuff is in the downloaded piece of file), so we loose 2Kb of hardly-downloaded file. Also, error messages are usually shorter than 2Kb, though it depends on the server and kind of error.
      2. At any break, we scan last 2Kb for the error string. Author aware only of two possibilities here: "HTTP/1.x" and "<HTML>" (if you encounter any other, please e-mail the author, and he'll add it to the program). So, if we found an error message we cut it off. If we don't find it -- we consider this broke as it was first connection which failed. The disadvantages are: error message can be in the file, but it can be more than 2Kb long, the error messages can start the other way (as we expect). Special case. Some proxy-servers (Microsoft Proxy Server for example) do not report file size when downloading from FTP-servers. So in case of error on the second connection, only way to discover it is to use "Smart rollback". In this case (when downloading via proxy-server, and file size not known, "Smart rollback" is being used ALWAYS.

      Back to the Content

    5. Question:
      Can ReGet Deluxe download from online files storages (like idrive.com, visto.com, etc.)?
      Answer:
      Many of free web-disk-space sites are not completely compatible with download managers. But we try to improve this compatibility.
      You can download from most of online storages by doing a few additional steps:
      • www.idrive.com: Make your folder shared to download from it with ReGet Deluxe or use HTTPS add-on to ReGet Deluxe.
      • www.visto.com: We didn't notice any problems with downloading by ReGet Deluxe.

      Back to the Content

    6. Question:
      How can I download a file from HTTPS server?
      Answer:
      ReGet Deluxe can download from secure (HTTPS) servers with special add-on. You can get it here.

      Back to the Content

  • Proxy-servers and firewalls:

    1. Question:
      Why isn't the file size displayed when downloading files from FTP via Microsoft Proxy Server?
      Answer:
      MS Proxy doesn't provide sizes of files from FTP. It isn't ReGet bug, it's a bug of MS Proxy. Also, as ReGet is not aware of actual file size, it cannot determine the connection breaks. So, if MS Proxy broke connection, for ReGet it would look like successful download.

      Back to the Content

    2. Question:
      I download from FTP-server with broken downloads resume-support via proxy-server, but ReGet Deluxe always starts downloading from the beginning. Why?
      Answer:
      The proxy-server might not be supporting resume (like Microsoft Proxy Server). If this is a case, you may try to use direct connection or Winsock-client.

      Back to the Content

    3. Question:
      How to find proxy settings?
      Answer:
      Check the proxy settings in your browser to see if you can find the correct settings. Browsers bury these settings, but here is where they are:
      In IE: click "Tools"--"Internet options" then "Connections" then "LAN settings" then (finally) you will see the proxy settings.
      In Netscape: click "Edit"--"Preferences" then "Advanced" then "Proxies".

      Back to the Content

    4. Question:
      Can ReGet Deluxe work with SOCKS proxy?
      Answer:
      ReGet 1.8 and higher can correctly work with SOCKS proxy, so we recommend you to install the latest version of ReGet Deluxe. Older versions of ReGet don't have built-in support for SOCKS proxies, but you can use SocksCap32 or similar program to make ReGet work with SOCKS.

      Back to the Content

    5. Question:
      I use Wingate or Firewall programs, what should I configure to download with ReGet Deluxe?
      Answer:
      If you use a firewall program, you might need to set it up to allow ReGet Deluxe access to the Internet.
      Wingate can automatically find browsers and email clients, but doesn't find ReGet Deluxe, so you will have to add it manually. You will need to add ReGet Deluxe to the list of programs that have direct access "globally" to the Internet.

      Back to the Content

  • Using ReGet Deluxe issues:

    1. Question:
      What operating should I use for ReGet Deluxe to work properly?
      Answer:
      Windows 95/98/2000/NT/ME, Internet Explorer 4.0 and higher, at least 8 Mb of RAM are required for successful installation and use of ReGet Deluxe. If you are using an old version of Windows 95 you may have to download ComCtl32.dll Update and DCOM (Distributed COM) update for Windows 95 from our download page.

      Back to the Content

    2. Question:
      How do I specify a username and password for my download?
      Answer:
      The easiest way to specify a username and password is to fill the appropriate fields in Download Properties. You can also do it like that: ftp://username:password@ftp.server.com/DirectoryName/file.zip

      Back to the Content

    3. Question:
      There is no "Download using ReGet Deluxe" option in context menu of my browser. What's wrong?
      Answer:
      "Download using ReGet Deluxe" option is available only in Internet Explorer, NeoPlanet, NetCaptor and MSN Explorer. If you use Netscape Navigator or Opera you may only add a download by clicking on a link while ALT-key is pressed.
      If you use IE or IE-based browsers and IE integration checkbox (in the "Options-->Integration" menu) is checked, run ReGet Deluxe from the command line (Start-->Run in Windows) with the "setup" key (you should type in the command line something like "C:\Program Files\ReGetDx\ReGet.exe -setup"). ReGet Deluxe must not be run at that time. And we also recommend you to use the latest version of ReGet Deluxe (please check up our site for the newest version).

      Back to the Content

    4. Question:
      How do I disable ReGet Deluxe for a particular link or site?
      Answer:
      To disable ReGet Deluxe temporarily for a particular link, hold down the CTRL key while clicking on the link.

      Back to the Content

    5. Question:
      How does Integration in Opera work?
      Answer:
      You should keep ALT-key pressed when click on a link to add a download from Opera. "Download using ReGet Deluxe" context menu option may be implemented later. "Download all by ReGet Deluxe" option will hardly ever possible, as Opera does not support it.

      Back to the Content

    6. Question:
      What does Error [5] LocalFileWrite mean?
      Answer:
      Generally, this error means that you cannot access the file. Make sure that you have enough disk space, the file is not being used by another application or someone else couldn't prohibit writing to this directory on your PC. To make sure we'd recommend you to reboot your PC and try to resume download after that.

      Back to the Content

    7. Question:
      When I try to run ReGet Deluxe nothing happens - why?
      Answer:
      It is the known Microsoft bug described at http://support.microsoft.com/support/kb/articles/Q170/3/64.ASP?LNG=ENG&SA=AL . To avoid this bug the string for the following named value must contain a single valid executable name for the shell process (explorer.exe by default):

      HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Winlogon
      Shell=

      Back to the Content

  • Downloading problems:

    1. Question:
      Why can't I download Windows Update with ReGet Deluxe?
      Answer:
      Microsoft Windows Update uses its own "install-from-web" software that is incompatible with other download managers.

      Back to the Content

    2. Question:
      I can't retrieve files from an FTP-server, what should I do?
      Answer:
      If you are connected to Internet thru a firewall/proxy-server, please enable "PASV mode" in the FTP settings for your download(s).

      Back to the Content

    3. Question:
      I am using Napster and ReGet Deluxe doesn't start with it.
      Answer:
      Napster has its own download manager, and does not work with external download managers.

      Back to the Content

    4. Question:
      When I try to download mp3 file from MP3.com or another server, it automatically opens with my music player (WinAmp, etc) and not being downloaded with ReGet Deluxe.
      Answer:
      If you want to download the files that automatically play in WinAmp, etc. try to do the following:
      Hold CTRL when click on the link to the file. This will download a very small .AU file. View this file in Notepad and it will contain a real URL to the MP3 file. Highlight this string, copy it to the clipboard and paste to ReGet Deluxe.

      Back to the Content

    5. Question:
      Why can't I download group of files by mask from FTP-servers sometimes?
      Answer:
      You can't use "*" and "?" in URLs to download files from FTP-server when using the HTTP-proxy.

      Back to the Content

    6. Question:
      Why can't ReGet Deluxe sometimes retrieve files from Web-servers, and my browser can?
      Answer:
      Most likely, the destination server is checking either "User-agent" field or "Referrer" (or both) which are being sent in HTTP-request. Try to disable "User-agent" and set "Referrer" to the page in which you found a link to the file. In most cases, ReGet Deluxe can obtain the necessary "Referrer" setting from your browser, but sometimes it might not work.

      Back to the Content

  • Security issues:

    1. Question:
      What information does ReGet Deluxe send about me and my system?
      Answer:
      All the information ReGet Deluxe sends is described at this page.

      Back to the Content

    2. Question:
      I've heard rumors about privacy concerns with ad-sponsored software. What can you tell me about that?
      Answer:
      ReGet Software guarantees that ReGet Deluxe Free (if downloaded from official ReGet Software servers) is absolutely clear from any viruses and trojans. All information it sends to ReGet Software and Conducent servers is described in appropriate documents, such as: ReGet Software privacy statement and ReGet Deluxe end user license agreement which is displayed before installation of ReGet Deluxe. For your accommodation we've gathered all this information at one page.
      We can assure you that ReGet (including all its components) doesn't send any other information about your system so it cannot be regarded as a trojan program.

      Back to the Content

    3. Question:
      Can ReGet Deluxe scan files for viruses?
      Answer:
      ReGet Deluxe lets you choose to use whatever virus scanner program you want in ReGet Deluxe schedule.

      Back to the Content

  • Useful Tips:

    1. Question:
      How to get quick access to dialup properties?
      Answer:
      Press and hold the "CTRL"-key when click "Connect/Disconnect" button on the toolbar.

      Back to the Content

    2. Question:
      How to switch the splash screen off?
      Answer:
      Add "/NoSplash" to the filename in ReGet Deluxe shortcut.

      Back to the Content


Activation Code Troubleshooting

Entering the activation code to the program:

  1. Buy a license to use ReGet Deluxe for US $20 on ReGet Deluxe order page.
  2. You will receive the e-mail from support@reget.com with the subject "This is the activation code for ReGet Deluxe" (normally within 48 business hours). It will contain the ReGet Deluxe activation code.
  3. Copy the activation code from the e-mail to Clipboard.
  4. Start ReGet Deluxe (you can download it here). Press "Enter code" button on the nagscreen. "Please enter activation code" window will appear.
  5. Paste the activation code.
  6. Press the "OK" button.
  7. You can now use ReGet Deluxe!

Do I have to pay for upgrades?

    No, you don't. If you've bought any version of ReGet Deluxe, you can upgrade to the latest version for FREE.

Lost the activation code?

    Please send an e-mail to: lost-code@reget.com from e-mail you have used when you purchased the license to use ReGet Deluxe. Please follow the format:

------------------------------------------------

From: <Your-name-here>

E-mail: <Your-e-mail-here>

Request: Please resend me the activation code

------------------------------------------------

About to change your e-mail address?

    Please send an e-mail to: update-code@reget.com from e-mail you have used when you purchased the license to use ReGet Deluxe. Please follow the format:

------------------------------------------------

From: <Your-name-here>

OLD E-mail: <Your-old-e-mail-here>

NEW E-mail: <Your-new-e-mail-here>

Request: Please update my e-mail and resend me

         the activation code

------------------------------------------------

    Please note that for your own safety we DO NOT accept requests for changing address from the address that is not registered in our database. We recommend you to take care about changing you registration address in advance.
    If your old e-mail address is not available send us your postal address you specified when you purchased the license to use ReGet Deluxe or your activation code so we can check your identity. We are requesting this information in order to prevent unauthorized use of your registration code by someone else.


ReGet Junior/Deluxe history changes

Changes history

© 2000 ReGet Software. All rights reserved.